@charset "utf-8";

/* ----------------------------------------------
 ! archive
 ---------------------------------------------- */

@media screen and (max-width: 767px) {
	.blog-contents-list {
		padding: 0 min(4.26vw, 16px);
	}
}

.blog-archive-pagenation {
	margin: min(10.66vw, 40px) 0 0;
}


/* ----------------------------------------------
 ! single
 ---------------------------------------------- */

@media screen and (max-width: 767px) {
	#archive-single-wrap {
		padding: 0 min(4.26vw, 16px);
	}
}

#single-content {
	margin: 0 auto;
	width: 100%;
	position: relative;
	z-index: 1;

	p {
		margin-bottom: min(6.4vw, 24px);

		a {
			color: var(--color-gold-dark);
			text-decoration: underline;
		}

		b,
		strong {
			font-weight: 400;
			display: inline;
			background: linear-gradient(transparent 70%, var(--color-gold-light03) 70%);
		}
	}

	h2 {
		background-color: var(--color-black);
		display: flex;
		align-items: center;
		margin: min(21.3vw, 80px) auto min(6.4vw, 24px);
		position: relative;
		padding: 12px min(4.16vw, 16px);
		width: 100%;
		position: relative;
		display: flex;
		font-weight: 400;
		line-height: 1.4;
		color: var(--color-white);
		font-size: min(5.06vw, 22px);
		font-family: var(--font-serif);
		position: relative;
		z-index: 0;

		b, strong {
			font-weight: 400 !important;
		}

		&:after {
			content: "";
			position: absolute;
			left: min(5.33vw, 20px);
			bottom: -6px;
			display: block;
			width: 0;
			height: 0;
			border-style: solid;
			border-width: min(2.13vw, 10px) min(5.33vw, 20px) 0px min(5.33vw, 20px);
			border-color: var(--color-black) transparent transparent transparent;
			z-index: 1;
		}
	}

	h3 {
		margin: min(14.93vw, 56px) auto min(6.4vw, 24px);
		font-size: min(4.8vw, 20px);
		font-family: var(--font-serif);
		background-color: var(--color-brown);
		color: var(--color-white);
		padding: min(2.13vw, 8px) min(4.26vw, 16px);
		display: block;
		font-weight: 400;
		line-height: 1.4;
		letter-spacing: 0.1rem;
		position: relative;
		overflow: hidden;

		b, strong {
			font-weight: 400 !important;
		}
	}

	h4 {
		margin: min(14.93vw, 56px) auto min(6.4vw, 24px);
		padding-bottom: min(2.13vw, 8px);
		font-size: min(4.53vw, 18px);
		border-bottom: 2px solid var(--color-brown);
		font-weight: 400;

		b, strong {
			font-weight: 400 !important;
		}
	}

	h5,
	h6 {
		margin: min(14.93vw, 56px) auto min(6.4vw, 24px);
		padding-bottom: min(2.13vw, 8px);
		font-size: min(4.26vw, 17px);
		border-bottom: 2px solid var(--color-gray);
		font-weight: 400;

		b, strong {
			font-weight: 400 !important;
		}
	}

	h2+h3,
	h3+h4,
	h4+h5,
	h5+h6 {
		margin: min(6.4vw, 24px) auto min(6.4vw, 24px);
	}
}

@media screen and (min-width: 768px) {
	#single-content {
		p {
			a {
				&:hover {
					text-decoration: none;
				}
			}
		}
	}
}

@media screen and (max-width: 767px) {
	#single-content {
		p {
			a {
				&:active {
					text-decoration: none;
				}
			}
		}
	}
}

/*================================
-大見出し
=================================*/

#single-content-tit {
	font-family: var(--font-serif);
	font-size: min(5.86vw, 30px);
	line-height: 1.6;
	margin: min(10.66vw, 40px) auto min(10.66vw, 40px);
	position: relative;
	text-align: left;
	font-weight: 600;
	letter-spacing: 0.1rem;

	&::before {
		content: "";
		position: absolute;
		left: 0;
		bottom: max(-4.26vw, -16px);
		width: 100%;
		height: 2px;
		border-radius: 2px;
		background-color: var(--color-gold);
		z-index: 1;
	}
}

/*================================
-タグ
=================================*/

.blog-tag-list {
	display: flex;
	margin-bottom: min(17.06vw, 64px);
	flex-wrap: wrap;

	>li {
		margin: min(1.06vw, 4px) min(2.13vw, 8px) min(1.06vw, 4px) 0;

		&:last-child {
			margin: min(1.06vw, 4px) 0 min(1.06vw, 4px) 0;
		}
	}

	a {
		display: flex;
		align-items: center;
		justify-content: center;
		padding: 0 min(2.13vw, 8px) 0 min(6.4vw, 24px);
		border: .5px solid var(--color-gray);
		font-size: min(3.73vw, 14px);
		border-radius: min(2.13vw, 8px);
		background-color: var(--color-gray-light);
		color: var(--color-gold-dark);
		text-decoration: none;
		position: relative;

		&::before {
			content: "＃";
			position: absolute;
			left: min(2.13vw, 8px);
			top: 50%;
			transform: translateY(-50%);
			z-index: 2;
		}
	}
}

@media screen and (min-width: 768px) {
	.blog-tag-list {
		a {
			transition: ease .3s;

			&:hover {
				transition: ease .3s;
				opacity: .7;
			}
		}
	}
}

@media screen and (max-width: 767px) {
	.blog-tag-list {
		a {
			transition: ease .3s;

			&:active {
				transition: ease .3s;
				opacity: .7;
			}
		}
	}
}

/*================================
-画像
=================================*/

.wp-block-image {
	margin: min(10.66vw, 40px) auto;
	max-width: 600px;
}

.wp-block-gallery {
	width: 100%;
	margin: min(10.66vw, 40px) auto;
}

/*================================
-リスト
=================================*/

.wp-block-list {
	margin: min(10.66vw, 40px) auto;
	border: 2px solid var(--color-gray-light02);
	background-color: var(--color-gray-light);
	padding: min(8.53vw, 32px) min(4.26vw, 32px);
	position: relative;
	display: grid;
	grid-template-columns: repeat(1, 1fr);
	gap: min(4.26vw, 16px);
	font-size: min(3.46vw, 15px);

	a {
		color: var(--color-gold-dark);
		text-decoration: underline;
	}

	b,
	strong {
		font-weight: 400;
		display: inline;
		background: linear-gradient(transparent 70%, var(--color-gold-light03) 70%);
	}

	li {
		padding-left: min(5.33vw, 20px);
		position: relative;
	}
}

ul.wp-block-list {
	li {
		&::before {
			content: "";
			position: absolute;
			top: min(2.13vw, 8px);
			left: 0;
			width: min(3.2vw, 12px);
			height: min(1.6vw, 6px);
			border-left: 2px solid var(--color-gold);
			border-bottom: 2px solid var(--color-gold);
			transform: rotate(-45deg);
			z-index: 2;
		}
	}
}

ol.wp-block-list {
	counter-reset: count;

	li {
		&::before {
			counter-increment: count;
			content: counter(count)".";
			font-family: var(--font-serif);
			position: absolute;
			font-weight: bold;
			top: 0;
			left: 0;
			color: var(--color-gold);
			z-index: 2;
		}
	}
}

/*================================
-ボタン
=================================*/

.wp-block-button {
	margin: min(10.66vw, 40px) auto !important;
	display: flex !important;
	justify-content: center;
	max-width: 280px;
	width: 100%;

	a {
		font-size: min(3.73vw, 14px);
		min-height: min(12.8vw, 48px);
		display: flex;
		align-items: center;
		background-color: var(--color-gray-light);
		color: var(--color-gold-dark);
		max-width: 261px;
		width: 100%;
		transition: ease .3s;
		justify-content: center;
		border-radius: 0;
		text-align: center;
		position: relative;
		padding: min(2.13vw, 8px) min(4.26vw, 16px);
		border: 1px solid var(--color-gold-dark);

		&::before {
			content: "▶";
			font-size: min(3.2vw, 12px);
			margin-right: min(1.06vw, 4px);
			display: inline-block;
		}
	}
}

@media screen and (min-width: 768px) {
	.wp-block-button {
		a {
			transition: ease .3s;

			&:hover {
				transition: ease .3s;
				opacity: .7;
				text-decoration: none;
			}
		}
	}
}

@media screen and (max-width: 767px) {
	.wp-block-button {
		a {
			transition: ease .3s;

			&:active {
				transition: ease .3s;
				opacity: .7;
				text-decoration: none;
			}
		}
	}
}

#single-content {
	.wp-block-button {
		&:last-child {
			margin: min(10.66vw, 40px) auto 0 !important;
		}
	}
}

/*================================
-テーブル
=================================*/

.wp-block-table {
	margin: min(10.66vw, 40px) auto;
	background-color: var(--color-gray-light);

	th,
	td {
		border: .5px solid var(--color-gray) !important;
		font-size: min(3.46vw, 15px);
		padding: min(2.13vw, 8px) !important;
	}
}

/*================================
-ブロック余白
=================================*/

.wp-block-image+.wp-block-image,
.wp-block-list+.wp-block-list {
	margin-top: max(-6.4vw, -24px);

}